## ros-kinetic-navfn 1.14.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(navfn)

find_package(catkin REQUIRED
    COMPONENTS
        cmake_modules
        costmap_2d
        geometry_msgs
        message_generation
        nav_core
        nav_msgs
        pcl_conversions
        pcl_ros
        pluginlib
        rosconsole
        roscpp
        tf
        visualization_msgs
        )

find_package(Eigen3 REQUIRED)
find_package(PCL REQUIRED)
remove_definitions(-DDISABLE_LIBUSB-1.0)
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
    ${PCL_INCLUDE_DIRS}
)
add_definitions(${EIGEN3_DEFINITIONS})


# services
add_service_files(
    DIRECTORY srv
    FILES
    MakeNavPlan.srv
    SetCostmap.srv
)

generate_messages(
    DEPENDENCIES
        geometry_msgs
)

catkin_package(
    INCLUDE_DIRS
        include
    LIBRARIES
        navfn
    CATKIN_DEPENDS
        geometry_msgs
        message_runtime
        nav_core
        nav_msgs
        pluginlib
        roscpp
        visualization_msgs
)

add_library (navfn src/navfn.cpp src/navfn_ros.cpp)
target_link_libraries(navfn
    ${catkin_LIBRARIES}
    )
add_dependencies(navfn ${PROJECT_NAME}_generate_messages_cpp ${catkin_EXPORTED_TARGETS})

add_executable(navfn_node src/navfn_node.cpp)
target_link_libraries(navfn_node
    navfn
    )

install(TARGETS navfn navfn_node
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
       )

install(DIRECTORY include/navfn/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES bgp_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

### The problem with FindFLTK is that it only reports success if *all*
### fltk components are installed, but we only need the core library.
# include (FindFLTK)
include (CheckIncludeFileCXX)
check_include_file_cxx (FL/Fl.H NAVFN_HAVE_FLTK)
check_include_file_cxx (pgm.h NAVFN_HAVE_NETPBM)
message (STATUS "NAVFN_HAVE_FLTK: ${NAVFN_HAVE_FLTK}, NETPBM: ${NAVFN_HAVE_NETPBM}")
# Just linking -lfltk is not sufficient on OS X
if (NAVFN_HAVE_FLTK AND NAVFN_HAVE_NETPBM AND NOT APPLE)
  message (STATUS "FLTK found: adding navtest to build")
  add_executable (navtest src/navtest.cpp src/navwin.cpp)
  set (FLTK_SKIP_FLUID 1)
  set (FLTK_SKIP_FORMS 1)
  set (FLTK_SKIP_IMAGES 1)
  find_package(FLTK)
  if(FLTK_FOUND)
    target_link_libraries (navtest navfn netpbm ${FLTK_LIBRARIES})
  else (FLTK_FOUND)
    target_link_libraries (navtest navfn netpbm fltk)
  endif (FLTK_FOUND)
else (NAVFN_HAVE_FLTK)
  message (STATUS "FLTK orf NETPBM not found: cannot build navtest")
endif (NAVFN_HAVE_FLTK AND NAVFN_HAVE_NETPBM AND NOT APPLE)

### For some reason (on cmake-2.4.7 at least) the "check" for pgm.h
### always succeeds, even if pgm.h is not installed. It seems to be
### caused by a bug in the rule that attempts to build the C source:
### instead of directly calling e.g. 'gcc -c
### /CMakeFiles/CMakeTmp/CheckIncludeFile.c' it goes through some make
### infrastructure, which reports "Nothing to be done for
### `CMakeFiles/cmTryCompileExec.dir/build'" and calls that a success.
###
### As a workaround we simply force everyone to install libnetpbm
#
# include (CheckIncludeFile)
# check_include_file (pgm.h NAVFN_HAVE_NETPBM)
# message (STATUS "NAVFN_HAVE_NETPBM: ${NAVFN_HAVE_NETPBM}")
# if (NAVFN_HAVE_NETPBM)
#   message (STATUS "found pgm.h")
#   add_definitions (-DNAVFN_HAVE_NETPBM)
#target_link_libraries (navfn -lnetpbm)
# else (NAVFN_HAVE_NETPBM)
#   message (STATUS "pgm.h not found (optional)")
# endif (NAVFN_HAVE_NETPBM)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== debian/changelog ===
ros-kinetic-navfn (1.14.9-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2021 05:00:00 -0000

ros-kinetic-navfn (1.14.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-kinetic-navfn (1.14.7-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-kinetic-navfn (1.14.6-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-kinetic-navfn (1.14.5-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-kinetic-navfn (1.14.4-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-kinetic-navfn (1.14.3-1xenial) xenial; urgency=high

  * Merge pull request #672 <https://github.com/ros-planning/navigation/issues/672> from ros-planning/email_update_kinetic
    update maintainer email (kinetic)
  * Merge pull request #648 <https://github.com/ros-planning/navigation/issues/648> from aaronhoy/kinetic_add_ahoy
    Add myself as a maintainer.
  * added message_generation to build deps to prevent failing generation of GetStatus, MakeNavPlan and SetCostmap (#640 <https://github.com/ros-planning/navigation/issues/640>)
  * Rebase PRs from Indigo (#636 <https://github.com/ros-planning/navigation/issues/636>)
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
  * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
  * Contributors: Aaron Hoy, David V. Lu!!, Leroy Rügemer, Michael Ferguson, Mikael Arguedas

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 16 Mar 2018 04:00:00 -0000

ros-kinetic-navfn (1.14.2-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-kinetic-navfn (1.14.1-1xenial) xenial; urgency=high

  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * port #549 <https://github.com/ros-planning/navigation/issues/549> (in alphabetical order)
  * address gcc6 build error
  * remove GCC warnings
  * Contributors: Lukas Bulwahn, Martin Günther, Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-kinetic-navfn (1.14.0-1xenial) xenial; urgency=high

  * navfn: make independent on costmap implementation
    navfn::NavfnROS:
    * remove direct dependency on costmap_2d::Costmap2DROS
    * add constructor for barebone costmap_2d::Costmap2D (user must provide also global_frame)
    * NavfnROS::initialize() follows constructor semantics
    nav_core::BaseGlobalPlanner interface unchanged
  * Contributors: Jiri Horner

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-kinetic-navfn (1.13.1-1xenial) xenial; urgency=high

  * Fix for #337 <https://github.com/ros-planning/navigation/issues/337>
  * Contributors: David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-kinetic-navfn (1.13.0-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-kinetic-navfn (1.12.0-1xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-kinetic-navfn (1.11.15-1xenial) xenial; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-kinetic-navfn (1.11.14-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-kinetic-navfn (1.11.13-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-kinetic-navfn (1.11.12-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-kinetic-navfn (1.11.11-1xenial) xenial; urgency=high

  * removes unused param planner_costmap_publish_frequency
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-kinetic-navfn (1.11.10-1xenial) xenial; urgency=high

  * Remove unnecessary colons
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-kinetic-navfn (1.11.9-1xenial) xenial; urgency=high

  * uses ::hypot(x, y) instead of sqrt(x*x, y*y)
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-kinetic-navfn (1.11.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-kinetic-navfn (1.11.7-1xenial) xenial; urgency=high

  * update build to find eigen using cmake_modules
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-kinetic-navfn (1.11.5-1xenial) xenial; urgency=high

  * navfn: fix parallel build error from missing dep
  * fixed header installation directory
  * check for CATKIN_ENABLE_TESTING
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 05:00:00 -0000

ros-kinetic-navfn (1.11.4-1xenial) xenial; urgency=high

  * Package URL Updates


=== debian/control ===
Source: ros-kinetic-navfn
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libnetpbm10-dev, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-cmake-modules, ros-kinetic-costmap-2d, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rosunit, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: http://wiki.ros.org/navfn
Standards-Version: 3.9.2

Package: ros-kinetic-navfn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-costmap-2d, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: navfn provides a fast interpolated navigation function that can be used to create plans for a mobile base.
 The planner assumes a circular robot and operates on a costmap to find a minimum cost plan from a start point to an end point in a grid. The navigation function is computed with Dijkstra's algorithm, but support for an A* heuristic may also be added in the near future. navfn also provides a ROS wrapper for the navfn planner that adheres to the nav_core::BaseGlobalPlanner interface specified in nav_core.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-navfn//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
